<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full section-pt-0">
  <div class="h-full w-full pt-4">
    <app-grid-skeleton *ngIf="initializing$ | async; else loaded"></app-grid-skeleton>
    <ng-template #loaded>
      <ng-container *ngLet="organisations$ | async as organisations">
        <div *ngIf="organisations && organisations.length > 0; else empty" class="flex gap-4 h-full">
          <div class="grow grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4 overflow-y-auto h-fit">
            <ng-container *ngFor="let org of organisations">
              <app-org-tile [org]="org">
                <ng-template #trailing let-organisation>
                  <div class="flex gap-4 items-center">
                    <div class="text-sm">Partnership:</div>
                    <div class="flex items-center">
                      <p-tag *ngIf="org.isPartner" value="Active" severity="success"></p-tag>
                      <ng-container *ngIf="!org.isPartner">
                        <p-tag *ngIf="org.isPendingPartner" value="Pending" severity="warning"></p-tag>
                        <p-tag *ngIf="!org.isPendingPartner" value="None" [style]="{ background: 'rgb(177 177 177)' }"></p-tag>
                      </ng-container>
                      <div class="w-0.5 h-4 ml-4 rounded-md bg-borderGrey"></div>
                      <p-button *ngIf="org.isPartner" label="View" severity="secondary" size="small" [link]="true" (onClick)="openPartnersihp(organisation)"></p-button>
                      <ng-container *ngIf="!org.isPartner">
                        <p-button *ngIf="org.isPendingPartner" label="View" severity="secondary" size="small" [link]="true" (onClick)="openPartnersihp(organisation)"></p-button>
                        <p-button *ngIf="!org.isPendingPartner" label="Request" severity="primary" size="small" [link]="true" (onClick)="openPartnersihp(organisation)"></p-button>
                      </ng-container>
                    </div>
                  </div>
                </ng-template>
              </app-org-tile>
            </ng-container>
          </div>
        </div>
        <ng-template #empty>
          <div class="w-full h-full flex flex-col items-center gap-4 py-10 justify-center">
            <div class="text-lg font-semibold text-text-300">
              <app-sad-face></app-sad-face>
            </div>
            <div class="text-text-300 w-56 text-center">No foreign organisations connected to platform</div>
          </div>
        </ng-template>
      </ng-container>
    </ng-template>
  </div>
</div>
